%define major		0
%define libname		%mklibname stemmer %{major}
%define develname	%mklibname stemmer -d

%define snapdate 20160930
%define shortcommit 6b3b8b5

Summary:	The C version of the libstemmer library
Name:		libstemmer
Version:	0
Release:	%mkrel 5
Group:		System/Libraries
License:	BSD
URL:		http://snowballstem.org/

Source0:	libstemmer_c-%{snapdate}.tar.xz
Patch0:		libstemmer-libtool.diff
BuildRequires:	libtool


%description
Snowball is a small string processing language designed for
creating stemming algorithms for use in Information Retrieval.  This
package contains all you need to include the snowball stemming algorithms
into a C project of your own.


%package -n	%{libname}
Summary:	The C version of the libstemmer library
Group:		System/Libraries

%description -n %{libname}
This package containst the files to dynamically link against the C version
of the libstemmer library.

%package -n	%{develname}
Summary:	Static library and header files for the libstemmer library
Group:		Development/Libraries
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
This package contains the static libstemmer library and its header
files.

%package -n	stemwords
Summary:	The stemwords utility using the libstemmer library
Group:		System/Libraries

%description -n	stemwords
The stemwords utility using the libstemmer library.

%prep

%setup -q -n libstemmer_c
%patch0 -p0

# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" Makefile

%build
export CFLAGS="%{optflags} -Wall -Iinclude -fPIC -DPIC -D_REENTRANT"
export LDFLAGS="%{ldflags}"

%make

%install
rm -rf %buildroot
%make_install

# install referenced headers
install -m0644 src_c/stem_*.h %{buildroot}%{_includedir}/%{name}/

# fix location
perl -pi -e "s|\.\./src_c/||g" %{buildroot}%{_includedir}/%{name}/modules.h

# we don't want these
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/*.so

%files -n stemwords
%{_bindir}/stemwords


%changelog
* Thu Dec 31 2020 tex - 0-5pclos2021
- rebuild against updates

* Tue Oct 15 2019 tex - 0-4pclos2019
- rebuild against updates

* Tue Aug 08 2017 bb2 <bb2> 0.3-1pclos2017
- Update libstemmer snapshot
